<template>
  <div id="app">
    <Header v-if="this.$router.currentRoute.path.indexOf('login') === -1"/>
    <router-view/>
    <alert-manager/>
  </div>
</template>

<script>
  import Header from './components/Header.vue';
  import router from './router/';
  import store from './store/';
  import AlertManager from "./components/alerts/AlertManager";
  import {USER_REQUEST} from "./store/actions/user";

  export default {
    store,
    router,
    components: {
      AlertManager,
      Header,
    },
    mounted() {
      if (process.env.NODE_ENV !== 'production')
        window.vueapp = this;
    },
    beforeCreate: function () {
      if (this.$store.getters.isAuthenticated) {
        this.$store.dispatch(USER_REQUEST)
      }
    }
  }
</script>

<style lang="scss">
/*Шрифты для текста*/
@import url('https://fonts.googleapis.com/css?family=Roboto:400,400i,700,700i&subset=cyrillic-ext');
@import url('https://fonts.googleapis.com/css?family=Roboto+Slab:300,400,700&subset=cyrillic-ext');

#app {
  font-family: 'Roboto', serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
  --yellow: #FFF963;
  --blue: #62A1CA;
  --grey: #C4C4C4;
  --light-grey: #F2F2F2;
}

html,
body {
  padding: 0;
  margin: 0;
}

@import'~bootstrap/dist/css/bootstrap.css';
</style>
